Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Need to migrate osCommerce-2.2ms2-32 to new host/RC2a


jeepcamping.com

Recommended Posts

I have searched and could not find any info on this situation (I may be search disfunctional, so forgive me for any stupidity).

 

I have a store currently running osCommerce-2.2ms2-32 and have installed paypal_wpp_1.0.1 and was working on some issues. Do to circustances beyond my control, I am moving to a new host and want to use RC2a. Is there an easy way to do this without re-entering all the data and starting from scatch. My developer has not really played with OSC before, so any insight would be appreciated.

 

I currently have RC2a installed on the new server/host with PayPal Pro Direct Payments and Express Checkout installed. I also have the same install configured on the old server in a different directory (thought this might be a good test platform).

 

TIA for the help

 

Allen

Link to comment
Share on other sites

Do to circustances beyond my control, I am moving to a new host and want to use RC2a. Is there an easy way to do this without re-entering all the data and starting from scatch.

The database changes are really minimal going from an older version to RC2a but adding all the different updates to your files will be a chore (the later ones are not really friendly to install).

 

If you know what files you changed for contributions it might be best to start with a fresh RC2a and add those contributions again (preferably on a test system). Some of the updates are really necessary because of spammers and hackers.

Link to comment
Share on other sites

The database changes are really minimal going from an older version to RC2a but adding all the different updates to your files will be a chore (the later ones are not really friendly to install).

 

If you know what files you changed for contributions it might be best to start with a fresh RC2a and add those contributions again (preferably on a test system). Some of the updates are really necessary because of spammers and hackers.

 

 

Thank you for the info. So your saying that I would be better off completely starting over. Okay! Is there a migration path for exporting the data so we don't have to rekey it in? Or copying the setting changes so we don't have to completely redesign the site.

 

Thank you again.

 

While we're at it, is there a download for 2.2ms2-32. I still need to get my store off the existing ISP. So if I could just install this ver. then upgrade at my leisure.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...